API Reference
Check Email
Single email verification. Auth: X-API-Key header.
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Query Parameters
email*string
Email address to validate
Format
emailResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
fetch("http://91.99.239.149:8000/v1/external-api-requests/check-email?email=user%40example.com", { method: "POST"}){
"category": "black",
"date_added": "Dec 26, 2025",
"domain": "example.com",
"domain_age": "unknown",
"email": "user@example.com",
"mx_record": "",
"premium": "False",
"remaining_attempts_before_ban": 4,
"type": "disposable"
}{
"detail": "Invalid API key."
}{
"detail": "No auth provided"
}{
"detail": "Insufficient credits — please top up your balance."
}{
"detail": [
{
"type": "value_error",
"loc": [
"query",
"email"
],
"msg": "value is not a valid email address: An email address must have an @-sign.",
"input": "userexample.com",
"ctx": {
"reason": "An email address must have an @-sign."
}
}
]
}{
"error": "Rate limit exceeded."
}